HELM(1)

NAME

helm-rollback - roll back a release to a previous revision

SYNOPSIS

helm rollback [flags] [RELEASE] [REVISION]

DESCRIPTION

This command rolls back a release to a previous revision.

The first argument of the rollback command is the name of a release, and the second is a revision (version) number. To see revision numbers, run

OPTIONS

--dry-run[=false]
    simulate a rollback

--force[=false]
    force resource update through delete/recreate if needed

--no-hooks[=false]
    prevent hooks from running during rollback

--recreate-pods[=false]
    performs pods restart for the resource if applicable

--timeout=300
    time in seconds to wait for any individual kubernetes operation (like Jobs for hooks)

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

--wait[=false]
    if set, will wait until all Pods, PVCs, Services, and minimum number of Pods of a Deployment are in a ready state before marking the release as successful. It will wait for as long as --timeout

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra